c---------------------------------------------------------------------
c     FDVM specifications
c---------------------------------------------------------------------
!!      integer pv,pv1,pu1,pr1,pu(maxlevel),pr(maxlevel),pus,pus1
      integer psize(3),pdim
      common /pointers/ pv,pu1,pr1,pu,pr,pv1,pus,pus1
      common/processors/ psize,pdim 
      DOUBLE PRECISION,POINTER,DIMENSION(:,:,:) ::
     &                                  pv,pu1,pr1,pv1,pus,pus1
!!      DOUBLE PRECISION,POINTER,DIMENSION(:,:,:) ::
!!     &                                 pu(maxlevel),pr(maxlevel)
CDVM$ TEMPLATE tmp (1+2**(lt+1),1+2**(lt+1),1+2**(lt+1))
CDVM$ DISTRIBUTE tmp (*,*,BLOCK)
CDVM$ ALIGN :: pr1,pv,pu1,pus,pus1
CDVM$ DYNAMIC  pv,tmp,pus,pus1,pu1,pr1
      TYPE P
      DOUBLE PRECISION,POINTER,DIMENSION(:,:,:) :: p
CDVM$ ALIGN :: p
CDVM$ DYNAMIC p
      END TYPE
      TYPE(P)  pu(maxlevel),pr(maxlevel)       
